Summary:	A console-based network monitoring program
Name:		iptraf
Version:	3.0.0
Release:	%mkrel 2
Group:		Monitoring
License:	GPL
URL:		http://iptraf.seul.org/
Source:		ftp://iptraf.seul.org/pub/iptraf/%{name}-%{version}.tar.bz2
Patch0:		iptraf-2.7.0-includefix.patch.bz2
Patch1:		iptraf-3.0.0-no_splash.diff
Patch2:		iptraf-2.7.0-interface.patch
Patch3:		iptraf-3.0.0-setlocale.patch
Patch4:		iptraf-3.0.0-longdev.patch
Requires:	kernel >= 2.2
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
IPTraf is a console-based network monitoring program for Linux that
displays information about IP traffic.  It returns such information as:

Current TCP connections UDP, ICMP, OSPF, and other types of IP packets
Packet and byte counts on TCP connections IP, TCP, UDP, ICMP, non-IP,
and other packet and byte counts TCP/UDP counts by ports Interface
activity Flag statuses on TCP packets LAN station statistics

This program can be used to determine the type of traffic on your network,
and what kind of service is the most heavily used on what machines, among
others.

IPTraf works on Ethernet, FDDI, ISDN, PLIP, and SLIP/PPP interfaces.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

%make -C src \
    TARGET=%{_prefix}/sbin \
    LOGDIR=/var/log/iptraf \
    WORKDIR=%{_localstatedir}/iptraf

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}/var/log/iptraf
install -d %{buildroot}/var/run/iptraf
install -d %{buildroot}%{_localstatedir}/iptraf

install -m 755 src/{iptraf,rvnamed} %{buildroot}%{_sbindir}/

mv Documentation/*.8 src/
install -m 644 src/*.8 %{buildroot}%{_mandir}/man8

# clean up
rm -f Documentation/Makefile
rm -f Documentation/iptraf.xpm
rm -f Documentation/manual.template.gz
rm -f Documentation/version.awk
rm -f Documentation/version
rm -f Documentation/stylesheet-images/.eps

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES INSTALL README* FAQ
%doc Documentation
%{_sbindir}/*
%{_mandir}/man8/*
%dir %{_localstatedir}/iptraf
%dir /var/log/iptraf
%dir /var/run/iptraf

%changelog
* Wed May 24 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-2mdk
- fix FHS and URL
- remove the annoying splash
- sync with fedora P2,P3,P4 (3.0.0-2)

* Fri Dec 16 2005 Erwan Velu <erwan@seanodes.com> 3.0.0-1mdk
- 3.0.0

* Fri Sep 30 2005 Couriousous <couriousous@mandriva.org> 2.7.0-7mdk
- Try to fix include mess

* Thu Oct 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-6mdk
- rebuild

* Tue Sep 09 2003  Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-5mdk
- Fix Bug #3460 : move iptraf in /usr/sbin since it need root
  privileges.

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 2.7.0-4mdk
- buildrequires

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-3mdk
- rebuild

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.7.0-2mdk
- build release
- misc spec file fixes

* Tue May 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-1mdk
- 2.7.0

* Sun May 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.1-1mdk
- 2.6.1

* Wed May 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.0-1mdk
- 2.6.0
- add %%doc FAQ, manual.html, *.gif

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-3mdk
- rebuild

* Fri Aug 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-2mdk
- /var/run/iptraf, thx Ural Khassanov

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-1mdk
- 2.5.0

* Fri Aug 03 2001  Lenny Cartier <lenny@mandrakesoft.com> 2.4.0-1mdk
- rebuild

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-2mdk
- rebuild

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk 
- updated to 2.3.1

* Fri Nov 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-3mdk
- hopefully this time is fixed, works on a cooker

* Fri Nov 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- fix configure from Florin Grad

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- v2.2.2 

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-3mdk
- BM
- macros

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- fix group

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sun Jul 18 1999 Oden Eriksson <oden@kvikkjokk.com>
- Updated to version 2.0.1
- Repacked for Linux Mandrake

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jan 16 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Updated to version 1.4.2
- Used name and version variables in source field

* Wed Jan 6 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Maintainer for RHCN: Anders Semb Hermansen
